Panda3D

Functions | Variables
config_fmodAudio.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "notifyCategoryProxy.h"`
`#include "dconfig.h"`
`#include "audioManager.h"`

Go to the source code of this file.

## Functions
| ConfigureDecl (config_fmodAudio, EXPCL_FMOD_AUDIO, EXPTP_FMOD_AUDIO)
EXPCL_FMOD_AUDIO Create_AudioManager_proc * | get_audio_manager_func_fmod_audio ()
| This function is called when the dynamic library is loaded; it should return the Create_AudioManager function appropriate to create a FmodAudioManager. More...
EXPCL_FMOD_AUDIO void | init_libFmodAudio ()
| Initializes the library. More...
| NotifyCategoryDecl (fmodAudio, EXPCL_FMOD_AUDIO, EXPTP_FMOD_AUDIO)

## Variables
ConfigVariableInt | fmod_audio_preload_threshold

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  cort

Definition in file config_fmodAudio.h.

## Function Documentation

## ◆ get_audio_manager_func_fmod_audio()

EXPCL_FMOD_AUDIO Create_AudioManager_proc* get_audio_manager_func_fmod_audio | ( |  | ) |

This function is called when the dynamic library is loaded; it should return the Create_AudioManager function appropriate to create a FmodAudioManager.

Definition at line 72 of file config_fmodAudio.cxx.

References Create_FmodAudioManager(), and init_libFmodAudio().

## ◆ init_libFmodAudio()

EXPCL_FMOD_AUDIO void init_libFmodAudio | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 48 of file config_fmodAudio.cxx.

References PandaSystem::add_system(), Create_FmodAudioManager(), PandaSystem::get_global_ptr(), and PandaSystem::set_system_tag().

Referenced by get_audio_manager_func_fmod_audio().